#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,720,1440,2160,2960
 * N : 25,160,240,320,720,1440,2160,2960
 * NB : 4,8,8,16,16,56,80,80
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 4; \
   else if ((n_) < 280) (nb_) = 8; \
   else if ((n_) < 1080) (nb_) = 16; \
   else if ((n_) < 1800) (nb_) = 56; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
