#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,400,880,1840,3760
 * N : 25,160,240,320,400,880,1840,3760
 * NB : 4,8,8,16,40,24,80,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 4; \
   else if ((n_) < 280) (nb_) = 8; \
   else if ((n_) < 360) (nb_) = 16; \
   else if ((n_) < 640) (nb_) = 40; \
   else if ((n_) < 1360) (nb_) = 24; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
